//
//  ContentView.swift
//  ObservableObject1
//
//  Created by 大津 真 on 2020/02/25.
//  Copyright © 2020 大津真. All rights reserved.
//

import SwiftUI

struct ContentView: View {
	@ObservedObject var counter = MyCounter()
	
	var body: some View {
		VStack {
			Button(action: {
				self.counter.start()
			}) {
				Text("value: \(counter.value)")
			}
			.font(.largeTitle)
		}
	}
}

class MyCounter: ObservableObject {
	@Published var value = 0
	var timer: Timer?
	
	func start() {
		self.timer = Timer.scheduledTimer(withTimeInterval: 1, repeats: true) { _ in
			self.value += 1
			print(self.value)
		}
	}
}
struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
