//
//  ContentView.swift
//  Omikuji3
//
//  Created by 大津 真 on 2020/03/17.
//  Copyright © 2020 大津 真. All rights reserved.
//

import SwiftUI

struct ContentView: View {
    let omikujis = ["daikiti", "chukiti", "syoukiti", "kyo"]
    @State private var kuji = "empty"
    @State private var isShow = false
    var body: some View {
        VStack {
            Text("おみくじ")
                .font(.largeTitle)
            Image(kuji)
                .resizable()
                .scaledToFit()
                .frame(width: 350, height: 400)
                .scaleEffect(isShow ? 1 : 0)
                .rotationEffect(isShow ? .degrees(360) : .zero)
                .animation(.easeInOut(duration: 1))
            Spacer()
            HStack {
                Spacer()
                // 「占う」ボタン
                Button(action: {
                    if !self.isShow {
                        self.isShow = true
                        self.kuji = self.omikujis.randomElement()!
                    }
                }) {
                    Text("占う")
                        .font(.largeTitle)
                        .background(Capsule()
                            .foregroundColor(isShow ? .gray : .yellow)
                            .frame(width: 100, height: 40 )
                    )
                }
                .disabled(isShow ? true : false)
                Spacer()
                // 「消去」ボタン
                Button(action: {
                    self.isShow = false
                }) {
                    Text("消去")
                        .font(.largeTitle)
                        .background(Capsule()
                            .foregroundColor(!isShow ? .gray : .yellow)
                            .frame(width: 100, height: 40 )
                    )
                }
                .disabled(!isShow ? true : false)
                Spacer()
            }
        }
        .padding()
    }
}


struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
