import UIKit

// 現在時刻を管理するDateオブジェクトを生成する
let now = Date()
// カレンダーを生成する
let cal = Calendar(identifier: .gregorian)
// 年、月、日のDateComponentを生成する
let comp1 = cal.dateComponents([.year, .month, .day, .hour, .minute], from: now)
// 年、月、日、時、分を表示する
print("\(comp1.year!)年\(comp1.month!)月\(comp1.day!)日 \(comp1.hour!)時\(comp1.minute!)分")

print(String(repeating: "-", count: 30))

// 年、月、日を指定してDateComponentsオブジェクトを生成
let comp2 = DateComponents(year: 2020, month: 4, day: 3)
// DateComponentsオブジェクトからDateオブジェクトを生成
let date2 = cal.date(from: comp2)!

print(String(repeating: "-", count: 30))

// 今年の残り日数を表示する
// 今日の日付のDateオブジェクトを生成
let today = Date()
// 年の値を求める
let thisYear = cal.dateComponents([.year], from: today)
// 来年の1月1日のDateオブジェクトを生成
let newYearsDay = cal.date(from: DateComponents(year: thisYear.year! + 1, month: 1, day: 1))
let days = cal.dateComponents([.day], from: today, to: newYearsDay!)
print("今年の残り日数\(days.day!)日")

print(String(repeating: "-", count: 30))

// 誕生日から年齢を求める
// 誕生日のDateオブジェクトを生成
let birthdate = cal.date(from: DateComponents(year: 1959, month: 7, day: 3))!
// 今日のDateオブジェクトを生成
let today2 = Date()
let age = cal.dateComponents([.year], from: birthdate, to: today2)
print("\(age.year!)歳")

print(String(repeating: "-", count: 30))

// 日付のフォーマット
let today3 = Date()
let df = DateFormatter()
df.locale = Locale(identifier: "ja_JP")
df.dateStyle = .full
print(df.string(from: today3))
df.dateStyle = .medium
print(df.string(from: today3))
