import UIKit

let jsonData = """
{
    "title": "名簿",
    "members":[
        {
            "id": 1,
            "name": "大津真",
            "tel": "03-2444-xxxx",
            "mail": "makoto@example.com"
        },
        {
            "id": 2,
            "name": "田中一郎",
            "tel": "03-4444-xxxx",
            "mail": "tanaka@example.com"
        },
        {
            "id": 3,
            "name": "山田花子",
            "tel": "03-2222-xxxx",
            "mail": "hanako@example.com"
        }
    ]
}
""".data(using: .utf8)!

struct MyData: Codable{
    var members: [Member]

    struct Member: Codable {
        var id: Int
        var name: String
        var mail: String
    }
}

do {
    let myData = try JSONDecoder().decode(MyData.self, from: jsonData)
    for member in myData.members {
        print(member.id, member.name, member.mail)
    }
} catch {
    fatalError("Couldn't decode JSON date \(jsonData)")
}

