//
//  ContentView.swift
//  TimerTest1
//
//  Created by 大津 真 on 2020/02/20.
//  Copyright © 2020 大津真. All rights reserved.
//

import SwiftUI

struct ContentView: View {
	@State var timer: Timer?
	@State var angle = 0.0
	
	var body: some View {
		VStack {
			HStack {
				Button(action: {
					self.timer = Timer.scheduledTimer(withTimeInterval: 3, repeats: true){_ in
						self.angle += 360
					}
				}) {
					Image(systemName: "play")
				}
				Button(action: {
					self.timer?.invalidate()
					
				}) {
					Image(systemName: "stop")
				}
			}
			.font(.largeTitle)
			
			Image(systemName: "tortoise")
				.resizable()
				.foregroundColor(.orange)
				.scaledToFit()
				.frame(width:200, height: 200)
				.rotationEffect(.degrees(angle))
				.animation(.easeIn(duration: 2))
		}
	}
}

struct ContentView_Previews: PreviewProvider {
	static var previews: some View {
		ContentView()
	}
}
