//
//  ContentView.swift
//  ImageList
//
//  Created by 大津 真 on 2020/01/24.
//  Copyright © 2020 大津真. All rights reserved.
//

import SwiftUI

struct ContentView: View {
	@State var starValue: Double = 1
    var body: some View {
		NavigationView {
			VStack {
				HStack {
					Text("Star >= \(Int(starValue))")
						.padding(.leading)
					Slider(value: $starValue, in: 1...5, step: 1.0)
						.padding(.horizontal)
				}
				List {
					ForEach(photos) { photo in
						if photo.star >= Int(self.starValue) {
							NavigationLink(destination: PhotoDetailView(photo: photo)) {
								ImageRowView(photo: photo)
							}
						}
					}
				}
			}
			.navigationBarTitle("My Album")
		}
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
