//
//  ImageRowView.swift
//  ImageList
//
//  Created by 大津 真 on 2020/01/24.
//  Copyright © 2020 大津真. All rights reserved.
//

import SwiftUI

struct ImageRowView: View {
    var photo: Photo
    
    var body: some View {
        HStack {
            Image(photo.image)
                .resizable()
                .frame(width: 60, height: 60)
            VStack {
                Text(photo.title)
                Text(photo.place)
                    .font(.caption)
                HStack {
                    ForEach(1 ... photo.star, id: \.self) { _ in
                        Image(systemName: "star.fill")
                    }
                    ForEach(photo.star ..< 5, id: \.self) { _ in
                        Image(systemName: "star")
                    }
                }
                .foregroundColor(Color.orange)
            }
        }
    }
}

struct ImageRowView_Previews: PreviewProvider {
    static var previews: some View {
		ImageRowView(photo: photos[0])
    }
}
