//
//  PhotoDetailView.swift
//  ImageList
//
//  Created by 大津 真 on 2020/01/25.
//  Copyright © 2020 大津真. All rights reserved.
//

import SwiftUI

struct PhotoDetailView: View {
	var photo: Photo
    var body: some View {
		VStack {
			Text(photo.title)
				.font(.title)
			Image(photo.image)
				.resizable()
				.scaledToFit()
				.frame(width: 350, height: 250)
			Text("撮影場所: \(photo.place)")
			Text("撮影日時: \(photo.date)")
			HStack {
				ForEach(1 ... photo.star, id: \.self) { _ in
					Image(systemName: "star.fill")
				}
				ForEach(photo.star ..< 5, id: \.self) { _ in
					Image(systemName: "star")
				}
			}
			.foregroundColor(Color.orange)
		}
    }
}

struct PhotoDetailView_Previews: PreviewProvider {
    static var previews: some View {
		PhotoDetailView(photo: photos[0])
    }
}
