//
//  ContentView.swift
//  Gesture1
//
//  Created by 大津 真 on 2020/02/24.
//  Copyright © 2020 大津真. All rights reserved.
//

import SwiftUI

struct ContentView: View {
    @State var pos = CGPoint(x: 100, y:100)
    
    var body: some View {
        ZStack{
            Color.yellow
                .gesture(
                    DragGesture()
                        .onChanged{ value in
                            withAnimation(.spring(dampingFraction: 0.4)) {
                                self.pos = CGPoint(x: value.location.x, y: value.location.y)
                            }
                        }
                        .onEnded{ value in
                            print("Finished \(value.location)")
                        }
                )
            
            Circle()
                .foregroundColor(.blue)
                .frame(width: 100, height: 100)
                .position(x: self.pos.x, y: self.pos.y)
        }
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
